{% extends 'dashboard/dashboard_content.html' %}

{% block rightPane %}

    <div class="x_panel">
        <div class="x_title">
            <h2>
                <i class="fa fa-plus-circle"></i>
                Internal Marks
            </h2>
            <div class="clearfix"></div>
        </div>
        <div class="x_content">
            <div class="row">
                <ul class="nav nav-tabs bar_tabs">
                    {% for course in course_list %}
                        {% if forloop.counter == 1 %}
                            <li {% if selected_course == course.staff_course_instance.pk %}class="active" {% else %}
                                class="" {% endif %}>
                                <a aria-expanded="true"
                                   id={{ course.staff_course_instance.pk }}
                                           data-toggle="tab" name="course_tab">
                                    {{ course.display_text }}

                                </a>
                            </li>
                        {% else %}
                            <li {% if selected_course == course.staff_course_instance.pk %}class="active" {% else %}
                                class="" {% endif %}>
                                <a aria-expanded="false"
                                   id={{ course.staff_course_instance.pk }}
                                           data-toggle="tab" name="course_tab">
                                    {{ course.display_text }}
                                </a>
                            </li>
                        {% endif %}
                    {% endfor %}
                </ul>

                <div class="row">
                    <form class="form-horizontal form-label-left" method="POST">{% csrf_token %}
                        <input type="hidden" name="hidden_staff_course_pk" value="{{ selected_course }}">
                        <div class="form-group">
                            <div class="form-group">
                                <label class="control-label col-md-4 col-md-offset-1 col-sm-3 col-xs-12">
                                    Bulk Update Section
                                </label>
                                <div class="col-md-6 col-sm-6 col-xs-12">
                                    <select class="selectpicker" name="update_section"
                                            title="Choose any division" required>
                                        {% if course_id.regulation.start_year >= 2016 and  course_id.is_one_credit %}
                                            <option value="UT 1">UT1</option>
                                            <option value="UT 2">UT2</option>
                                            <option value="ReUT">RE-UT</option>
                                        {% else %}
                                            <option value="UT 1">UT1</option>
                                            <option value="UT 2">UT2</option>
                                            <option value="UT 3">UT3</option>
                                            <option value="ReUT">RE-UT</option>
                                            <option value="ASSIGNMENT 1">ASSIGNMENT 1</option>
                                            <option value="ASSIGNMENT 2">ASSIGNMENT 2</option>
                                            <option value="ASSIGNMENT 3">ASSIGNMENT 3</option>
                                            {% if current_batch >= 2016 %}
                                                <option value="TUTORIAL 1">TUTORIAL/QUIZ 1</option>
                                                <option value="TUTORIAL 2">TUTORIAL/QUIZ 2</option>
                                                <option value="TUTORIAL 3">TUTORIAL/QUIZ 3</option>
                                            {% endif %}
                                        {% endif %}
                                    </select>
                                </div>
                            </div>
                            <div class="form-group">
                                <div class="col-md-2 col-md-offset-5 col-sm-6 col-xs-12">
                                    <button name="get_section" type="submit" class="btn1 btn-dark-green">
                                        Update Marks
                                    </button>
                                </div>
                            </div>

                        </div>
                    </form>

                </div>

                <div class="alert alert-success" role="alert">
                    <div><h4><strong>Click on a student Name or Roll Number to update his marks</strong></h4></div>
                </div>


                <div class="col-md-offset-10">
                    <button type="button" class="btn btn-primary" id='genrate_pdf'>
                        Generate PDF
                    </button>
                </div>
                <div class="x_content">
                    <form method="POST" id="attendance_form">{% csrf_token %}
                        <div class="table-responsive">
                            <table class="table table-striped" id="id_internal_marks_table">
                                {% if current_batch >= 2016 %}
                                    {% if course_id.is_one_credit %}
                                        <thead>
                                        <tr>
                                            <th>S.No.</th>
                                            <th>Register Number</th>
                                            <th>Student Name</th>
                                            <th>UT 1</th>
                                            <th>UT 2</th>
                                            <th>RE UT</th>
                                            <th>Student<br>approved</th>
                                        </tr>
                                        </thead>
                                        <tbody>
                                        {% for student in student_list %}
                                            <tr>
                                                <td>{{ forloop.counter }}</td>
                                                <td>
                                                    <a href={% url 'update_marks' %}?course={{ sel_crs_ins.course.pk }}&roll_no={{ student.registration_number }}&semester={{ sel_crs_ins.semester.pk }}>{{ student.registration_number }}</a>
                                                </td>
                                                <td>
                                                    <a href={% url 'update_marks' %}?course={{ sel_crs_ins.course.pk }}&roll_no={{ student.registration_number }}&semester={{ sel_crs_ins.semester.pk }}>{{ student.student_name }}</a>
                                                </td>

                                                <td>{% if student.internal_mark_instance %}
                                                    {% if student.internal_mark_instance.ut1 == null %} AB
                                                    {% elif student.internal_mark_instance.ut1 == 0 %} {% else %}
                                                        {{ student.internal_mark_instance.ut1 }}
                                                    {% endif %}{% else %}{% endif %}</td>
                                                <td>{% if student.internal_mark_instance %}
                                                    {% if student.internal_mark_instance.ut2 == null %} AB
                                                    {% elif student.internal_mark_instance.ut2 == 0 %} {% else %}
                                                        {{ student.internal_mark_instance.ut2 }}
                                                    {% endif %}{% else %}{% endif %}</td>
                                                <td>{% if student.internal_mark_instance %}
                                                    {% if student.internal_mark_instance.reut == null %} AB
                                                    {% elif student.internal_mark_instance.reut == 0 %} {% else %}
                                                        {{ student.internal_mark_instance.reut }}
                                                    {% endif %}{% else %}{% endif %}</td>
                                                <td>{% if student.student_approved_status %}
                                                    <i class="fa fa-check"></i>
                                                {% else %}
                                                    <i class="fa fa-close"></i>
                                                {% endif %}
                                                </td>
                                            </tr>
                                        {% endfor %}
                                        </tbody>
                                    {% else %}
                                        <thead>
                                        <tr>
                                            <th>S.No.</th>
                                            <th>Register Number</th>
                                            <th>Student Name</th>
                                            <th>UT 1</th>
                                            <th>UT 2</th>
                                            <th>UT 3</th>
                                            <th>RE UT</th>
                                            <th>Assignment 1</th>
                                            <th>Assignment 2</th>
                                            <th>Assignment 3</th>
                                            <th>Tutorial<br>or<br>Quiz 1</th>
                                            <th>Tutorial<br>or<br>Quiz 2</th>
                                            <th>Tutorial<br>or<br>Quiz 3</th>
                                            <th>Final<br>Marks (50)</th>
                                            <th>Student<br>approved</th>
                                        </tr>
                                        </thead>
                                        <tbody>
                                        {% for student in student_list %}
                                            <tr>
                                                <td>{{ forloop.counter }}</td>
                                                <td>
                                                    <a href={% url 'update_marks' %}?course={{ sel_crs_ins.course.pk }}&roll_no={{ student.registration_number }}&semester={{ sel_crs_ins.semester.pk }}>{{ student.registration_number }}</a>
                                                </td>
                                                <td>
                                                    <a href={% url 'update_marks' %}?course={{ sel_crs_ins.course.pk }}&roll_no={{ student.registration_number }}&semester={{ sel_crs_ins.semester.pk }}>{{ student.student_name }}</a>
                                                </td>

                                                <td>{% if student.internal_mark_instance %}
                                                    {% if student.internal_mark_instance.ut1 == null %} AB
                                                    {% elif student.internal_mark_instance.ut1 == 0 %} {% else %}
                                                        {{ student.internal_mark_instance.ut1 }}
                                                    {% endif %}{% else %}{% endif %}</td>
                                                <td>{% if student.internal_mark_instance %}
                                                    {% if student.internal_mark_instance.ut2 == null %} AB
                                                    {% elif student.internal_mark_instance.ut2 == 0 %} {% else %}
                                                        {{ student.internal_mark_instance.ut2 }}
                                                    {% endif %}{% else %}{% endif %}</td>
                                                <td>{% if student.internal_mark_instance %}
                                                    {% if student.internal_mark_instance.ut3 == null %} AB
                                                    {% elif student.internal_mark_instance.ut3 == 0 %} {% else %}
                                                        {{ student.internal_mark_instance.ut3 }}
                                                    {% endif %}{% else %}{% endif %}</td>
                                                <td>{% if student.internal_mark_instance %}
                                                    {% if student.internal_mark_instance.reut == null %} AB
                                                    {% elif student.internal_mark_instance.reut == 0 %} {% else %}
                                                        {{ student.internal_mark_instance.reut }}
                                                    {% endif %}{% else %}{% endif %}</td>
                                                <td>{% if student.internal_mark_instance %}
                                                    {% if student.internal_mark_instance.ass1 == null %} AB
                                                    {% elif student.internal_mark_instance.ass1 == 0 %} {% else %}
                                                        {{ student.internal_mark_instance.ass1 }}
                                                    {% endif %}{% else %}{% endif %}</td>
                                                <td>{% if student.internal_mark_instance %}
                                                    {% if student.internal_mark_instance.ass2 == null %} AB
                                                    {% elif student.internal_mark_instance.ass2 == 0 %} {% else %}
                                                        {{ student.internal_mark_instance.ass2 }}
                                                    {% endif %}{% else %}{% endif %}</td>
                                                <td>{% if student.internal_mark_instance %}
                                                    {% if student.internal_mark_instance.ass3 == null %} AB
                                                    {% elif student.internal_mark_instance.ass3 == 0 %} {% else %}
                                                        {{ student.internal_mark_instance.ass3 }}
                                                    {% endif %}{% else %}{% endif %}</td>
                                                <td>{% if student.internal_mark_instance %}
                                                    {% if student.internal_mark_instance.tutorial_or_quiz_1 == null %}
                                                        AB
                                                    {% elif student.internal_mark_instance.tutorial_or_quiz_1 == 0 %}
                                                        {% else %}{{ student.internal_mark_instance.tutorial_or_quiz_1 }}
                                                    {% endif %}{% else %}{% endif %}</td>
                                                <td>{% if student.internal_mark_instance %}
                                                    {% if student.internal_mark_instance.tutorial_or_quiz_2 == null %}
                                                        AB
                                                    {% elif student.internal_mark_instance.tutorial_or_quiz_2 == 0 %}
                                                        {% else %}{{ student.internal_mark_instance.tutorial_or_quiz_2 }}
                                                    {% endif %}{% else %}{% endif %}</td>
                                                <td>{% if student.internal_mark_instance %}
                                                    {% if student.internal_mark_instance.tutorial_or_quiz_3 == null %}
                                                        AB
                                                    {% elif student.internal_mark_instance.tutorial_or_quiz_3 == 0 %}
                                                        {% else %}{{ student.internal_mark_instance.tutorial_or_quiz_3 }}
                                                    {% endif %}{% else %}{% endif %}</td>
                                                <td>
                                                    {% if student.final_assesment_mark %}
                                                        {{ student.final_assesment_mark }}
                                                    {% else %}0{% endif %}
                                                </td>
                                                <td>{% if student.student_approved_status %}
                                                    <i class="fa fa-check"></i>
                                                {% else %}
                                                    <i class="fa fa-close"></i>
                                                {% endif %}
                                                </td>

                                            </tr>
                                        {% endfor %}
                                        </tbody>
                                    {% endif %}
                                {% endif %}
                                {% if current_batch < 2016 %}
                                    <thead>
                                    <tr>
                                        <th>S.No.</th>
                                        <th>Register Number</th>
                                        <th>Student Name</th>
                                        <th>UT 1</th>
                                        <th>UT 2</th>
                                        <th>UT 3</th>
                                        <th>RE UT</th>
                                        <th>Assignment 1</th>
                                        <th>Assignment 2</th>
                                        <th>Assignment 3</th>
                                        <th>Student<br>approved</th>
                                    </tr>
                                    </thead>
                                    <tbody>
                                    {% for student in student_list %}
                                        <tr>
                                            <td>{{ forloop.counter }}</td>
                                            <td>
                                                <a href={% url 'update_marks' %}?course={{ sel_crs_ins.course.pk }}&roll_no={{ student.registration_number }}&semester={{ sel_crs_ins.semester.pk }}>{{ student.registration_number }}</a>
                                            </td>
                                            <td>
                                                <a href={% url 'update_marks' %}?course={{ sel_crs_ins.course.pk }}&roll_no={{ student.registration_number }}&semester={{ sel_crs_ins.semester.pk }}>{{ student.student_name }}</a>
                                            </td>

                                            <td>{% if student.internal_mark_instance %}
                                                {% if student.internal_mark_instance.ut1 == null %} AB
                                                {% elif student.internal_mark_instance.ut1 == 0 %} {% else %}
                                                    {{ student.internal_mark_instance.ut1 }}
                                                {% endif %}{% else %}{% endif %}</td>
                                            <td>{% if student.internal_mark_instance %}
                                                {% if student.internal_mark_instance.ut2 == null %} AB
                                                {% elif student.internal_mark_instance.ut2 == 0 %} {% else %}
                                                    {{ student.internal_mark_instance.ut2 }}
                                                {% endif %}{% else %}{% endif %}</td>
                                            <td>{% if student.internal_mark_instance %}
                                                {% if student.internal_mark_instance.ut3 == null %} AB
                                                {% elif student.internal_mark_instance.ut3 == 0 %} {% else %}
                                                    {{ student.internal_mark_instance.ut3 }}
                                                {% endif %}{% else %}{% endif %}</td>
                                            <td>{% if student.internal_mark_instance %}
                                                {% if student.internal_mark_instance.reut == null %} AB
                                                {% elif student.internal_mark_instance.reut == 0 %} {% else %}
                                                    {{ student.internal_mark_instance.reut }}
                                                {% endif %}{% else %}{% endif %}</td>
                                            <td>{% if student.internal_mark_instance %}
                                                {% if student.internal_mark_instance.ass1 == null %} AB
                                                {% elif student.internal_mark_instance.ass1 == 0 %} {% else %}
                                                    {{ student.internal_mark_instance.ass1 }}
                                                {% endif %}{% else %}{% endif %}</td>
                                            <td>{% if student.internal_mark_instance %}
                                                {% if student.internal_mark_instance.ass2 == null %} AB
                                                {% elif student.internal_mark_instance.ass2 == 0 %} {% else %}
                                                    {{ student.internal_mark_instance.ass2 }}
                                                {% endif %}{% else %}{% endif %}</td>
                                            <td>{% if student.internal_mark_instance %}
                                                {% if student.internal_mark_instance.ass3 == null %} AB
                                                {% elif student.internal_mark_instance.ass3 == 0 %} {% else %}
                                                    {{ student.internal_mark_instance.ass3 }}
                                                {% endif %}{% else %}{% endif %}</td>
                                            <td>{% if student.student_approved_status %}
                                                <i class="fa fa-check"></i>
                                            {% else %}
                                                <i class="fa fa-close"></i>
                                            {% endif %}
                                            </td>
                                        </tr>
                                    {% endfor %}
                                    </tbody>
                                {% endif %}
                            </table>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>
    <form id="dummy_form" method="post">
        {% csrf_token %}
    </form>

    <script type="text/javascript">

        var curent_subject;

        function getCookie(name) {
            var cookieValue = null;
            if (document.cookie && document.cookie != '') {
                var cookies = document.cookie.split(';');
                for (var i = 0; i < cookies.length; i++) {
                    var cookie = jQuery.trim(cookies[i]);
                    // Does this cookie string begin with the name we want?
                    if (cookie.substring(0, name.length + 1) == (name + '=')) {
                        cookieValue = decodeURIComponent(cookie.substring(name.length + 1));
                        break;
                    }
                }
            }
            return cookieValue;
        }

        $('document').ready(function () {
            $('[name="course_tab"]').click(function () {
                curent_subject = this.id;
                //alert(this.id)

                var $hiddenInput = $('<input/>', {
                    type: 'hidden',
                    value: getCookie('csrftoken'),
                    name: 'csrfmiddlewaretoken'
                });
                $hiddenInput.appendTo('form');

                {#                var $hiddenInput = $('<input/>', {type: 'hidden', value: this.id, name: 'subject_code'});#}
                var $hiddenInput = $('<input/>', {type: 'hidden', value: this.id, name: 'subject_code'});
                $hiddenInput.appendTo('form');

                $('#dummy_form').submit();

            });
        });

        $(document).ready(function() {
            $('#id_internal_marks_table').DataTable( {
                dom: 'Bfrtip',
                buttons: [
                    {
                        extend: 'excelHtml5',
                        title: '{{ course_id }}' + '_internals_report',
                    },
                    {
                        extend: 'csvHtml5',
                        title: '{{ course_id }}' + '_internals_report',
                    },
                ]
            } );
        } );

        $('document').ready(function () {
            $('#genrate_pdf').click(function () {
                window.location = '{% url 'pdf_internal_marks' course_id=selected_course %}';
            });
        });
    </script>

{% endblock %}